Страница 1 из 2 12 ПоследняяПоследняя
Показано с 1 по 10 из 11.

Тема: Выполнение прервано с ошибкой. Причина: не удалось определить путь к файлу 'apachectl

  1. #1
    Junior Member
    Регистрация
    13.09.2014
    Сообщений
    11

    По умолчанию Выполнение прервано с ошибкой. Причина: не удалось определить путь к файлу 'apachectl

    Ispmanager 5 lite.
    При попытке установить - var/run/ispmgr/installer/5.pkgapache.configure происходит ошибка - status=ERR
    message=Type: 'pkg_metapackagefailed' Object: 'detect_file_path' Value: 'apachectl'
    realname=libexec/pkg/mpweb/pkgapache
    startdate=2014-09-13 01:21:24
    enddate=2014-09-13 01:21:24
    [params]
    configure
    master_mgr=ispmgr&mgr=ispmgr&pkg_remote_address=95 .153.166.152&pkg_username=root

    Ubuntu 12.02, апач устанавливал 2.4.2, php 5.5

  2. #2
    Support team Аватар для Dasha
    Регистрация
    03.11.2011
    Сообщений
    4,304

    По умолчанию

    Здравствуйте.
    ISPmanager 5 не поддерживает Ubuntu. Думаю, можно "впинать" через старый установщик, через пакеты точно не получится.
    Поставьте лучше CentOS или Debian, чтобы работало без проблем.

  3. #3
    Junior Member
    Регистрация
    13.09.2014
    Сообщений
    11

    По умолчанию

    Dasha, смогу ли я установив Debian 7, через ispmanager обновить apache и php до нужной мне версии?

  4. #4
    Support team Аватар для Dasha
    Регистрация
    03.11.2011
    Сообщений
    4,304

    По умолчанию

    Вы сможете через панель установить ту версию ПО, что доступна в репозиториях системы.

  5. #5
    Junior Member
    Регистрация
    13.09.2014
    Сообщений
    11

    По умолчанию

    Dasha, установил Debian 7, в качестве обновлений (вместо wheezy) указал jessie, начал установку ips manager 5 lite, однако опять вылетела ошибка - В модуле 'mpemail__pkgdovecot' при выполнении установки ПО произошла критическая ошибка. Процесс установки прерван

    running 'apt-get install dovecot-pop3d':
    Reading package lists...
    Building dependency tree...
    Reading state information...
    dovecot-pop3d is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 400 not upgraded.
    2 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up dovecot-core (1:2.2.13-4) ...
    Starting IMAP/POP3 mail server: dovecotdoveconf: Fatal: Error in configuration file /etc/dovecot/conf.d/10-ssl.conf line 12: ssl_cert: Can't open file /etc/dovecot/dovecot.pem: No such file or directory
    failed!
    invoke-rc.d: initscript dovecot, action "start" failed.
    dpkg: error processing dovecot-core (--configure):
    subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of dovecot-pop3d:
    dovecot-pop3d depends on dovecot-core (= 1:2.2.13-4); however:
    Package dovecot-core is not configured yet.

    dpkg: error processing dovecot-pop3d (--configure):
    dependency problems - leaving unconfigured
    Errors were encountered while processing:
    dovecot-core
    dovecot-pop3d
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Type: 'pkg_ctlfailed' Object: '' Value: 'install: error installing package 'dovecot-pop3d'

  6. #6
    Junior Member
    Регистрация
    13.09.2014
    Сообщений
    11

    По умолчанию

    Id mpemail__pkgdovecot.2014-09-13 00:24:18

    Тип проблемы Установщик

  7. #7
    Support team Аватар для Dasha
    Регистрация
    03.11.2011
    Сообщений
    4,304

    По умолчанию

    Переустановите систему и выполните установку из пакетов, следуя этой инструкции.

  8. #8

  9. #9
    Junior Member
    Регистрация
    13.09.2014
    Сообщений
    11

    По умолчанию

    Dasha, + я покупал лицензию через хостера и номера ключа у меня нет(

  10. #10
    Junior Member
    Регистрация
    13.09.2014
    Сообщений
    11

    По умолчанию

    + к примеру я установил дебиан, стоит apache2.2.2 php 5.4.4, затем установил Ispmanager 5 lite, как после этого мне обновить apache до 2.4.x, php до 5.5

Ваши права в разделе

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •